Skip to main content
POST
/
v1
/
tenant
/
international
/
beneficiaries
Create Beneficiary
curl --request POST \
  --url https://api.sandbox.finogates.com/v1/tenant/international/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "middle_name": "<string>",
  "last_name": "<string>",
  "maiden_name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "date_of_birth": "<string>",
  "nationality": "<string>",
  "gender": "M",
  "doc_number": "<string>",
  "doc_type": "<string>",
  "doc_issue_country": "<string>",
  "doc_issue_date": "<string>",
  "doc_due_date": "<string>",
  "doc_issuer": "<string>",
  "state": "<string>",
  "city": "<string>",
  "street": "<string>",
  "payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "status_code": 123,
  "data": "<unknown>",
  "query_generated_time": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.finogates.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
first_name
string | null
Maximum string length: 255
middle_name
string | null
Maximum string length: 255
last_name
string | null
Maximum string length: 255
maiden_name
string | null
Maximum string length: 255
email
string | null
Maximum string length: 255
phone
string | null
Maximum string length: 50
date_of_birth
string | null
Maximum string length: 20
nationality
string | null
Maximum string length: 10
gender
enum<string> | null

Single-letter More gender code: M or F.

Available options:
M,
F
doc_number
string | null
Maximum string length: 100
doc_type
string | null
Maximum string length: 50
doc_issue_country
string | null
Maximum string length: 10
doc_issue_date
string | null
Maximum string length: 20
doc_due_date
string | null
Maximum string length: 20
doc_issuer
string | null
Maximum string length: 255
state
string | null
Maximum string length: 255
city
string | null
Maximum string length: 255
street
string | null
Maximum string length: 500
payment_method_id
string<uuid> | null

Response

Successful Response

Standard response wrapper for single-object responses and errors.

status_code
integer
required

HTTP status code for the response.

data
any
required

Payload or error details.

query_generated_time
integer
required

UTC timestamp (milliseconds since epoch) when response was generated.